GET
Python

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Filter by product ID. The product ID.

status

Filter by subscription status.

Available options:
incomplete,
incomplete_expired,
trialing,
active,
past_due,
canceled,
unpaid,
paused
cancel_at_period_end
boolean | null

Filter by subscriptions that are set to cancel at period end.

started_after
string<date-time> | null

Only include subscriptions started after this date. Must include a UTC offset.

started_before
string<date-time> | null

Only include subscriptions started before this date. Must include a UTC offset.

timezone
string
default:UTC

Time zone used to render dates in the CSV.

columns

Columns to include in the CSV, in order. Defaults to email, started_at, product, amount, currency, status and recurring_interval.

Available options:
email,
started_at,
product,
amount,
currency,
status,
recurring_interval,
customer_name,
billing_name,
billing_country,
net_amount,
discount,
seats,
current_period_start,
current_period_end,
cancel_at_period_end,
canceled_at,
ends_at,
ended_at,
cancellation_reason,
trial_start,
trial_end

Response

Successful Response

The response is of type string.